package Ventanas;

import javax.swing.JPanel;
import javax.swing.border.EmptyBorder;
import javax.swing.*;

import java.awt.event.ActionListener;
import java.awt.event.ActionEvent;
import java.awt.BorderLayout;
import java.awt.EventQueue;
import java.awt.Toolkit;
import java.awt.Dimension;
import java.awt.event.MouseAdapter;
import java.awt.event.MouseEvent;

public class Principal extends JFrame {
	private static final long serialVersionUID = 1L;
	private JPanel contentPane = new JPanel();

	public static void main(String[] args) {
		EventQueue.invokeLater(new Runnable() {
			public void run() {
				try {
					Principal frame = new Principal();
					frame.setVisible(true);
				} catch (Exception e) {
					e.printStackTrace();
				}
			}
		});
	}
	///////////////////////
	public Principal() {
		
		final JFrame jf = this;
		setIconImage(Toolkit.getDefaultToolkit().getImage("imagenes\\icon4.png"));
		
		setTitle("GESTION PIEZAS-PROYECTOS-PROVEEDORES");
		setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
		setBounds(100, 30, 457, 342);
		
		
		contentPane.setBorder(new EmptyBorder(5, 5, 5, 5));
		contentPane.setLayout(new BorderLayout(0, 0));
		setContentPane(contentPane);
		// Vista inicial
		JLabel lblNewLabel = new JLabel("");
		lblNewLabel.setLocation(5, 5);
		lblNewLabel.setSize(new Dimension(470, 291));
		lblNewLabel.setIcon(new ImageIcon("imagenes\\gestion3.jpg"));
		contentPane.add(lblNewLabel);
		
		
		JMenuBar menuBar = new JMenuBar();
		setJMenuBar(menuBar);
		
		JMenu mnGestinDeTablas = new JMenu("Gesti\u00F3n de tablas");
		menuBar.add(mnGestinDeTablas);
		
		JMenuItem mntmProveedores = new JMenuItem("Proveedores");
		mntmProveedores.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent e) {
				System.out.println(" Menú Proveedores ");
				VGestionProveedores vp = new VGestionProveedores();
				contentPane.removeAll();
				jf.setSize(750, 650);
				contentPane.add(vp);
				setContentPane(contentPane);
			}
		});
		mnGestinDeTablas.add(mntmProveedores);
		
		JMenuItem mntmPiezas = new JMenuItem("Piezas");
		mntmPiezas.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent e) {
				System.out.println(" Menú Piezas ");
				 VGestionPiezas vpi = new VGestionPiezas();
				contentPane.removeAll();
				jf.setSize(750, 650);
				contentPane.add(vpi);
				setContentPane(contentPane);
				
			}
		});
		mnGestinDeTablas.add(mntmPiezas);
		
		JMenuItem mntmProyectos = new JMenuItem("Proyectos");
		mntmProyectos.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent e) {
				System.out.println(" Menú proyectos ");
				 VGestionProyectos vg = new VGestionProyectos();
				contentPane.removeAll();
				jf.setSize(750, 650);
				contentPane.add(vg);
				setContentPane(contentPane);
			}
		});
		mnGestinDeTablas.add(mntmProyectos);
		
	
		JMenu mnGestinDeSuministros = new JMenu("Gesti\u00F3n de Suministros");
		mnGestinDeSuministros.addMouseListener(new MouseAdapter() {
			@Override
			public void mouseClicked(MouseEvent e) {
				System.out.println(" Menú Suministros ");
				VGestionSuministros vs = new VGestionSuministros();
				contentPane.removeAll();
				jf.setSize(1100, 710);
				contentPane.add(vs);
				setContentPane(contentPane);
				
			}
		});
		
		menuBar.add(mnGestinDeSuministros);
		
		JMenu mnInformes = new JMenu("Informes");
		menuBar.add(mnInformes);
		
		JMenuItem mntmPiezas_1 = new JMenuItem("Piezas");
		mntmPiezas_1.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent e) {
				VInformespiezas vs = new VInformespiezas();
				contentPane.removeAll();
				jf.setSize(910, 560);
				contentPane.add(vs);
				setContentPane(contentPane);
			}
		});
		mnInformes.add(mntmPiezas_1);
		
		JMenuItem mntmProveedores_1 = new JMenuItem("Proveedores");
		mntmProveedores_1.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent e) {
				VInformesproveedores vs = new VInformesproveedores();
				contentPane.removeAll();
				jf.setSize(910, 560);
				contentPane.add(vs);
				setContentPane(contentPane);
			}
		});
		mnInformes.add(mntmProveedores_1);
		
		JMenuItem mntmProyectos_1 = new JMenuItem("Proyectos");
		mntmProyectos_1.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent e) {
				VInformesproyectos vs = new VInformesproyectos();
				contentPane.removeAll();
				jf.setSize(910, 540);
				contentPane.add(vs);
				setContentPane(contentPane);
			}
		});
		mnInformes.add(mntmProyectos_1);
		


	  
		  
	}
}
