package Ventanas;
import javax.swing.JPanel;
import javax.swing.JLabel;
import java.awt.Font;
import javax.swing.SwingConstants;
import java.awt.Color;
import javax.swing.JTextField;
import javax.swing.JComboBox;
import javax.swing.JButton;
import java.awt.event.ActionListener;
import java.awt.event.ActionEvent;
import javax.swing.JSeparator;
import operaciones.*;
import java.awt.TextArea;

public class VGestionSuministros extends JPanel {

	private static final long serialVersionUID = 1L;
	private JTextField nombreprov;
	private JTextField nombreproyec;
	private JTextField nombrepieza;
	private JComboBox comboProveedor;
	private JComboBox comboProyecto;
	private JComboBox comboPiezas;
	private JLabel Mensaje=	new JLabel("-----------------------------------------------------------------------------------------------------");
	private String linea ="----------------------------------------------------------------------------";
	
	private JTextField pvppieza;
	private JTextField Importe=	new JTextField();
	private OperacionesSuministros op = new OperacionesSuministros();
	
	JLabel labelProv = new JLabel("C\u00F3digo de Proveedor:");
	JLabel labelProyect = new JLabel("C\u00F3digo de Proyecto:");
	JLabel lblCdigoDepieza = new JLabel("C\u00F3digo de Pieza: ");
	private JTextField cantidad=new JTextField();
	private TextArea textArea = new TextArea();
	
	JPanel jp=this;
	
	public VGestionSuministros() {
		
		setLayout(null);
				
		JLabel lblGestinDePiezas = new JLabel("GESTI\u00D3N DE SUMINISTROS, By Nombre de alumno.");
		lblGestinDePiezas.setBackground(Color.ORANGE);
		lblGestinDePiezas.setForeground(new Color(0, 128, 0));
		lblGestinDePiezas.setHorizontalAlignment(SwingConstants.CENTER);
		lblGestinDePiezas.setFont(new Font("Bodoni MT", Font.BOLD, 24));
		lblGestinDePiezas.setBounds(191, 11, 638, 38);
		add(lblGestinDePiezas);
		
	
		lblCdigoDepieza.setFont(new Font("Tahoma", Font.BOLD, 11));
		lblCdigoDepieza.setBounds(223, 101, 106, 19);
		add(lblCdigoDepieza);
		
		JButton btnCalcular = new JButton("Calcular Importe");
		btnCalcular.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent e) {
				// cantidad importe pvppieza
			Mensaje.setText(linea);	
			comprobarcantidad();
			}
		}
	   );
		btnCalcular.setFont(new Font("Tahoma", Font.BOLD, 11));
		btnCalcular.setBounds(457, 166, 148, 23);
		add(btnCalcular);
		
		JButton btnModificar = new JButton("Modificar");
		btnModificar.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent e) {
				if (comprobarcantidad())
				op.modificarsuministro( comboPiezas, comboProveedor, 
						comboProyecto, cantidad, Importe, Mensaje);			
			}
		});
		btnModificar.setFont(new Font("Tahoma", Font.BOLD, 11));
		btnModificar.setBounds(564, 293, 89, 23);
		add(btnModificar);
		
		JButton btnBorrar = new JButton("Borrar");
		btnBorrar.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent e) {
				op.borrarsuministro( comboPiezas, comboProveedor, 
						comboProyecto, cantidad, Importe, Mensaje,jp);	
			}
		});
		btnBorrar.setFont(new Font("Tahoma", Font.BOLD, 11));
		btnBorrar.setBounds(465, 293, 89, 23);
		add(btnBorrar);
		
		JButton btnInsertarRegistro = new JButton("Insertar Registro");
		btnInsertarRegistro.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent e) {
				if (comprobarcantidad())
				op.insertarsuministro( comboPiezas, comboProveedor, 
						comboProyecto, cantidad, Importe, Mensaje);
			}
		});
		btnInsertarRegistro.setFont(new Font("Tahoma", Font.BOLD, 11));
		btnInsertarRegistro.setBounds(196, 292, 136, 23);
		add(btnInsertarRegistro);
		
		JButton btnVisualizarTodos = new JButton("Visualizar Suministros");
		btnVisualizarTodos.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent e) {			
				op.visualizarsuministros(textArea);
			}
		});
		btnVisualizarTodos.setFont(new Font("Tahoma", Font.BOLD, 11));
		btnVisualizarTodos.setBounds(663, 293, 197, 23);
		add(btnVisualizarTodos);
		
		JButton btnLimpiar = new JButton("Limpiar");
		btnLimpiar.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent e) {
				Importe.setText("");
				cantidad.setText("");
				comboPiezas.setSelectedIndex(0);
				comboProveedor.setSelectedIndex(0);
				comboProyecto.setSelectedIndex(0);
				textArea.setText("");
			}
		});
		btnLimpiar.setFont(new Font("Tahoma", Font.BOLD, 11));
		btnLimpiar.setBounds(338, 293, 89, 23);
		add(btnLimpiar);
		
		JSeparator separator = new JSeparator();
		separator.setForeground(new Color(255, 182, 193));
		separator.setBackground(new Color(255, 182, 193));
		separator.setBounds(191, 50, 659, 14);
		add(separator);
		
		JSeparator separator_1 = new JSeparator();
		separator_1.setBackground(new Color(0, 0, 128));
		separator_1.setBounds(191, 279, 666, 2);
		add(separator_1);
		
		JSeparator separator_2 = new JSeparator();
		separator_2.setBackground(new Color(0, 0, 128));
		separator_2.setBounds(191, 327, 666, 2);
		add(separator_2);
		
	
		labelProv.setFont(new Font("Tahoma", Font.BOLD, 11));
		labelProv.setBounds(223, 71, 154, 19);
		add(labelProv);
		
		comboProveedor = new JComboBox();
		comboProveedor.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent e) {
				op.cargadatosprovecomboprove(comboProveedor,nombreprov);
			}
		});
		comboProveedor.setBounds(361, 71, 86, 20);
		add(comboProveedor);
		
	
		labelProyect.setFont(new Font("Tahoma", Font.BOLD, 11));
		labelProyect.setBounds(223, 131, 164, 19);
		add(labelProyect);
		
		comboProyecto = new JComboBox();
		comboProyecto.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent e) {				
			 op.cargadatosproyectocombo(comboProyecto,nombreproyec);
	
			}
		});
		comboProyecto.setBounds(361, 131, 136, 20);
		add(comboProyecto);
		
		comboPiezas = new JComboBox();
		comboPiezas.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent e) {			
			 op.cargadatopiezacombo(comboPiezas,nombrepieza,pvppieza);	
			}
		});
		comboPiezas.setBounds(361, 101, 136, 20);
		add(comboPiezas);
		
		JLabel labelcantidad = new JLabel("Cantidad de Piezas: ");
		labelcantidad.setFont(new Font("Tahoma", Font.BOLD, 11));
		labelcantidad.setBounds(223, 168, 128, 19);
		add(labelcantidad);
		
		
		cantidad.setBackground(new Color(144, 238, 144));
		cantidad.setHorizontalAlignment(SwingConstants.CENTER);
		cantidad.setFont(new Font("Tahoma", Font.BOLD, 12));
		cantidad.setBounds(361, 167, 86, 20);
		add(cantidad);
		cantidad.setColumns(5);
		
		nombreprov = new JTextField();
		nombreprov.setEditable(false);
		nombreprov.setBackground(new Color(238, 232, 170));
		nombreprov.setBounds(641, 70, 214, 20);
		add(nombreprov);
		nombreprov.setColumns(10);
		
		JLabel lblNombreYApellido = new JLabel("Nombre y apellidos:");
		lblNombreYApellido.setFont(new Font("Tahoma", Font.BOLD, 11));
		lblNombreYApellido.setBounds(514, 70, 117, 19);
		add(lblNombreYApellido);
		
		JLabel lblNombre = new JLabel("Nombre:");
		lblNombre.setFont(new Font("Tahoma", Font.BOLD, 11));
		lblNombre.setBounds(514, 131, 58, 19);
		add(lblNombre);
		
		nombreproyec = new JTextField();
		nombreproyec.setEditable(false);
		nombreproyec.setBackground(new Color(238, 232, 170));
		nombreproyec.setColumns(10);
		nombreproyec.setBounds(584, 131, 214, 20);
		add(nombreproyec);
		
		JLabel label = new JLabel("Nombre:");
		label.setFont(new Font("Tahoma", Font.BOLD, 11));
		label.setBounds(514, 101, 75, 19);
		add(label);
		
		nombrepieza = new JTextField();
		nombrepieza.setEditable(false);
		nombrepieza.setBackground(new Color(238, 232, 170));
		nombrepieza.setColumns(10);
		nombrepieza.setBounds(574, 101, 214, 20);
		add(nombrepieza);
		
		JLabel labelpvp = new JLabel("Pvp pieza: ");
		labelpvp.setFont(new Font("Tahoma", Font.BOLD, 11));
		labelpvp.setBounds(615, 165, 69, 19);
		add(labelpvp);
		
		pvppieza = new JTextField();
		pvppieza.setEditable(false);
		pvppieza.setBackground(new Color(238, 232, 170));
		pvppieza.setHorizontalAlignment(SwingConstants.CENTER);
		pvppieza.setColumns(10);
		pvppieza.setBounds(685, 162, 106, 20);
		add(pvppieza);
		
		JLabel labeImporte = new JLabel("IMPORTE PIEZAS:");
		labeImporte.setFont(new Font("Tahoma", Font.BOLD, 11));
		labeImporte.setBounds(541, 198, 128, 19);
		add(labeImporte);
		
	
		Importe.setFont(new Font("Tahoma", Font.BOLD, 12));
		Importe.setHorizontalAlignment(SwingConstants.CENTER);
		Importe.setEditable(false);
		Importe.setColumns(10);
		Importe.setBackground(new Color(238, 232, 170));
		Importe.setBounds(652, 198, 106, 20);
		add(Importe);
		
		Mensaje.setBackground(new Color(34, 139, 34));
		Mensaje.setHorizontalAlignment(SwingConstants.CENTER);
		Mensaje.setFont(new Font("Tahoma", Font.BOLD, 11));
		Mensaje.setForeground(new Color(255, 0, 0));
		Mensaje.setBounds(223, 239, 627, 29);
		add(Mensaje);
		
		JSeparator separator_3 = new JSeparator();
		separator_3.setBackground(new Color(0, 0, 128));
		separator_3.setBounds(191, 226, 666, 2);
		add(separator_3);
		
		// cargar los combos
		op.cargarcombos( comboPiezas, comboProveedor, comboProyecto);
		
		JButton btnVerpiezas = new JButton("Consultar Piezas");
		btnVerpiezas.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent e) {
			
				op.listarpiezas(textArea);
				
			}
		});
		btnVerpiezas.setFont(new Font("Tahoma", Font.BOLD, 11));
		btnVerpiezas.setBounds(371, 198, 138, 23);
		add(btnVerpiezas);
		
		JButton consultareggestion = new JButton("Consultar Registro");
		consultareggestion.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent e) {
			/*	private Piezas piezas;
				private Proveedores proveedores;
				private Proyectos proyectos;
				private Integer cantidad; */
				op.consultarreg( comboPiezas, comboProveedor, comboProyecto,cantidad, Importe, Mensaje);
			}
		});
		consultareggestion.setFont(new Font("Tahoma", Font.BOLD, 11));
		consultareggestion.setBounds(213, 198, 148, 23);
		add(consultareggestion);
		textArea.setFont(new Font("Monospaced", Font.PLAIN, 13));
		
		textArea.setBackground(new Color(152, 251, 152));
		textArea.setBounds(21, 336, 1028, 279);
		add(textArea);
	}
////////////////////////////////////////////////////////////////////////

////////////////////////////////////////////////////////////////////////
	private boolean comprobarcantidad() {
		boolean ok = false;
		try {
			int cant = Integer.parseInt(cantidad.getText());
			if (cant >99999 || cant <0)
			{
				Mensaje.setText("Error, la cantidad debe estar entre 0 y 99999.");		
			    Importe.setText("00000");
			}
			else
			{		
			   float importe=cant * (Float.parseFloat(pvppieza.getText()));
			   Importe.setText(String.valueOf(importe));
			   ok=true;
			}
		}
		 catch(java.lang.NumberFormatException ex){
		   	Mensaje.setText("Error con el formato de cantidad, debe ser un entero positivo de 5 posiciones.");
		    Importe.setText("00000");
		 }
		return ok;
	}
////////////////////////////////////////////////////////////////////////
}
