package operaciones;

import javax.swing.JLabel;
import org.hibernate.JDBCException;

public class Erroressql {

 public  void erroresMySQL(JDBCException e, JLabel mensaje) {

  int errorCode = e.getErrorCode();
  switch ( errorCode ) {
	case 1451:
	   mensaje.setText(" NO SE PUEDE BORRAR TIENE REGISTROS RELACIONADOS.");
	   break;	
	case 1054:
	   mensaje.setText("Error revisa las columnas de la sentencia SQL. " );  
	   break;	  
	case 1064:
	   mensaje.setText("Error en la sentencia SQL, revísala. " );    
	   break;	 
	case 1366:
	   mensaje.setText("Valor incorrecto para una columna int. " );    
	   break;	
	case 1062:
	   mensaje.setText("Error, clave duplicada. ");  
	   break;	 
	case 1264:
	   mensaje.setText("Fuera de rango, comprueba las columnas numéricas. " );  
	   break;	  
	case 1146:
	   mensaje.setText("Revisa las tablas de la sentencia. No existe tabla. " );    
	   break;	
    case 1406:
    	mensaje.setText("Cadena demasiado larga. Comprueba las columnas varchar. " );    
		break;	
    default :
		mensaje.setText("Código error: " + errorCode+
			  "Mensaje de error: " + e.getMessage());
	   	   //e.printStackTrace();
		break;			 
  }// fin switch
}// fin erroresMySQL
} // fin clase
