package Ventanas;

import javax.swing.JPanel;
import javax.swing.JLabel;

import java.awt.Font;

import javax.swing.SwingConstants;

import java.awt.Color;

import javax.swing.JTextField;
import javax.swing.JButton;

import java.awt.event.ActionListener;
import java.awt.event.ActionEvent;

import javax.swing.JTextArea;

import java.awt.SystemColor;

import javax.swing.JSeparator;
import javax.swing.JScrollPane;
import javax.swing.ScrollPaneConstants;

import  operaciones.*;

public class VGestionProveedores extends JPanel {

	private static final long serialVersionUID = 1L;
	private JTextField codprov;
	private JTextField nombreprov;
	private JTextField apellidoprov;
	private JTextField direccionprov;
	private JTextField comision;
	private JTextArea textArea = new JTextArea();
	private JLabel mensaje;;
	OperacionesProveedores op = new OperacionesProveedores();			
	
	JPanel jp = this;
	
	public VGestionProveedores() {
	
		setLayout(null);
		JLabel lblGestinDeProyectos = new JLabel("GESTI\u00D3N DE PROVEEDORES, By Nombre de alumno.");
		lblGestinDeProyectos.setBackground(Color.ORANGE);
		lblGestinDeProyectos.setForeground(new Color(128, 0, 0));
		lblGestinDeProyectos.setHorizontalAlignment(SwingConstants.CENTER);
		lblGestinDeProyectos.setFont(new Font("Arial", Font.BOLD, 21));
		lblGestinDeProyectos.setBounds(21, 11, 638, 38);
		 add(lblGestinDeProyectos);
		
		JLabel lblCdigoDeProv = new JLabel("C\u00F3digo de Proveedor:");
		lblCdigoDeProv.setFont(new Font("Tahoma", Font.BOLD, 11));
		lblCdigoDeProv.setBounds(31, 60, 133, 19);
		 add(lblCdigoDeProv);
		
		codprov = new JTextField();
		codprov.setHorizontalAlignment(SwingConstants.CENTER);
		codprov.setFont(new Font("Tahoma", Font.BOLD, 11));
		codprov.setBackground(Color.ORANGE);
		codprov.setBounds(172, 60, 86, 20);
		 add(codprov);
		codprov.setColumns(10);
		
		JLabel labelNombre = new JLabel("Nombre del proveedor:");
		labelNombre.setFont(new Font("Tahoma", Font.BOLD, 11));
		labelNombre.setBounds(107, 103, 151, 19);
		 add(labelNombre);
		
		JLabel labelApellidos = new JLabel("Apellidos del proveedor:");
		labelApellidos.setFont(new Font("Tahoma", Font.BOLD, 11));
		labelApellidos.setBounds(107, 132, 151, 19);
		 add(labelApellidos);
		
		JLabel labelDireccion = new JLabel("Direcci\u00F3n del proveedor:");
		labelDireccion.setFont(new Font("Tahoma", Font.BOLD, 11));
		labelDireccion.setBounds(107, 162, 170, 19);
		 add(labelDireccion);
		
		JLabel lblComision = new JLabel("Comisi\u00F3n del proveedor:");
		lblComision.setFont(new Font("Tahoma", Font.BOLD, 11));
		lblComision.setBounds(107, 192, 170, 19);
		 add(lblComision);
		
		nombreprov = new JTextField();
		nombreprov.setHorizontalAlignment(SwingConstants.CENTER);
		nombreprov.setFont(new Font("Tahoma", Font.BOLD, 11));
		nombreprov.setColumns(10);
		nombreprov.setBackground(Color.ORANGE);
		nombreprov.setBounds(278, 102, 268, 20);
		 add(nombreprov);
		
		apellidoprov = new JTextField();
		apellidoprov.setHorizontalAlignment(SwingConstants.CENTER);
		apellidoprov.setFont(new Font("Tahoma", Font.BOLD, 11));
		apellidoprov.setColumns(10);
		apellidoprov.setBackground(Color.ORANGE);
		apellidoprov.setBounds(288, 131, 268, 20);
		 add(apellidoprov);
		
		direccionprov = new JTextField();
		direccionprov.setHorizontalAlignment(SwingConstants.CENTER);
		direccionprov.setFont(new Font("Tahoma", Font.BOLD, 11));
		direccionprov.setColumns(10);
		direccionprov.setBackground(Color.ORANGE);
		direccionprov.setBounds(272, 161, 274, 20);
		 add(direccionprov);
		
		JButton btnConsultar = new JButton("Consultar");
		btnConsultar.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent e) {
				op.consultar(codprov, nombreprov, 
						apellidoprov, direccionprov,comision,mensaje );
			}
		});
		btnConsultar.setFont(new Font("Tahoma", Font.BOLD, 11));
		btnConsultar.setBounds(268, 58, 89, 23);
		 add(btnConsultar);
		
		JButton btnModificar = new JButton("Modificar");
		btnModificar.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent e) {
			  if (comprobardatos())
					op.modificarprov(codprov, nombreprov, 
							apellidoprov, direccionprov,comision,mensaje );			
				  else
					mensaje.setText("Revisa los datos, código, nombre, apellido y "
								+ "direccion no pueden estar vacíos");	
			}
		});
		btnModificar.setFont(new Font("Tahoma", Font.BOLD, 11));
		btnModificar.setBounds(419, 293, 89, 23);
		 add(btnModificar);
		
		JButton btnBorrar = new JButton("Borrar");
		btnBorrar.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent e) {
				op.borrarprov(codprov, nombreprov, 
						apellidoprov, direccionprov,comision,mensaje, jp );

			}
		});
		btnBorrar.setFont(new Font("Tahoma", Font.BOLD, 11));
		btnBorrar.setBounds(307, 293, 89, 23);
		 add(btnBorrar);
		
		JButton btnSiguiente = new JButton("Ver Siguiente");
		btnSiguiente.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent e) {
				op.siguiente(codprov, nombreprov, 
						apellidoprov, direccionprov,comision,mensaje );	
			}
		});
		btnSiguiente.setFont(new Font("Tahoma", Font.BOLD, 11));
		btnSiguiente.setBounds(367, 58, 122, 23);
		 add(btnSiguiente);
		
		JButton btnAnterior = new JButton("Ver Anterior");
		btnAnterior.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent e) {
				op.anterior(codprov, nombreprov, 
						apellidoprov, direccionprov,comision,mensaje );		
			}
		});
		btnAnterior.setFont(new Font("Tahoma", Font.BOLD, 11));
		btnAnterior.setBounds(495, 58, 106, 23);
		 add(btnAnterior);
		
		JButton btnInsertarRegistro = new JButton("Insertar Registro");
		btnInsertarRegistro.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent arg0) {
			  if (comprobardatos())
				op.insertarproveedor(codprov, nombreprov, 
						apellidoprov, direccionprov,comision,mensaje );			
			  else
					mensaje.setText("Revisa los datos, código, nombre, apellido y "
							+ "direccion no pueden estar vacíos");
			}
		});
		btnInsertarRegistro.setFont(new Font("Tahoma", Font.BOLD, 11));
		btnInsertarRegistro.setBounds(23, 292, 136, 23);
		 add(btnInsertarRegistro);
			
		JButton btnVisualizarTodos = new JButton("Visualizar Todos");
		btnVisualizarTodos.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent e) {
						
				op.listarproveedores(textArea);
			}
		});
		btnVisualizarTodos.setFont(new Font("Tahoma", Font.BOLD, 11));
		btnVisualizarTodos.setBounds(531, 293, 145, 23);
		 add(btnVisualizarTodos);
		
		JButton btnLimpiar = new JButton("Limpiar");
		btnLimpiar.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent e) {
				codprov.setText("");
				nombreprov.setText("");
				apellidoprov.setText("");
				direccionprov.setText("");
				textArea.setText("");
				mensaje.setText("");
				comision.setText("");
			}
		});
		btnLimpiar.setFont(new Font("Tahoma", Font.BOLD, 11));
		btnLimpiar.setBounds(188, 293, 89, 23);
		 add(btnLimpiar);
		
		JSeparator separator = new JSeparator();
		separator.setForeground(new Color(255, 182, 193));
		separator.setBackground(new Color(255, 182, 193));
		separator.setBounds(21, 90, 597, 10);
		 add(separator);
		
		JSeparator separator_1 = new JSeparator();
		separator_1.setBackground(new Color(0, 0, 128));
		separator_1.setBounds(21, 231, 666, 2);
		 add(separator_1);
		
		comision = new JTextField();
		comision.setHorizontalAlignment(SwingConstants.CENTER);
		comision.setFont(new Font("Tahoma", Font.BOLD, 11));
		comision.setColumns(10);
		comision.setBackground(Color.ORANGE);
		comision.setBounds(278, 192, 133, 20);
		 add(comision);
		
		mensaje = new JLabel("-----------------------------------------------------------------------------------------------------");
		mensaje.setHorizontalAlignment(SwingConstants.CENTER);
		mensaje.setForeground(Color.RED);
		mensaje.setFont(new Font("Tahoma", Font.BOLD, 11));
		mensaje.setBackground(new Color(34, 139, 34));
		mensaje.setBounds(49, 239, 627, 29);
		 add(mensaje);
		
		JSeparator separator_2 = new JSeparator();
		separator_2.setBackground(new Color(0, 0, 128));
		separator_2.setBounds(21, 279, 666, 2);
		 add(separator_2);
		
		JScrollPane scrollPane = new JScrollPane();
		scrollPane.setHorizontalScrollBarPolicy(ScrollPaneConstants.HORIZONTAL_SCROLLBAR_ALWAYS);
		scrollPane.setVerticalScrollBarPolicy(ScrollPaneConstants.VERTICAL_SCROLLBAR_ALWAYS);
		scrollPane.setBounds(21, 327, 674, 238);
		 add(scrollPane);
		
		textArea.setFont(new Font("Monospaced", Font.PLAIN, 13));
		textArea.setEditable(false);
		scrollPane.setViewportView(textArea);
		textArea.setForeground(new Color(0, 0, 0));
		textArea.setBackground(SystemColor.activeCaption);
	}

////////////////////////////////////////////////////
protected boolean comprobardatos() {
	String codigo=codprov.getText().toString();
	String nombre=nombreprov.getText().toString();
	String ape=apellidoprov.getText().toString();
	String dire=direccionprov.getText().toString();
	if (codigo.compareTo("") == 0 || nombre.compareTo("") == 0 ||
			ape.compareTo("") == 0|| dire.compareTo("") == 0)
	return false;
	else return true;
	}
////////////////////////////////////////////////7

}
