package Ventanas;
import operaciones.*;

import javax.swing.JPanel;
import javax.swing.JLabel;
import java.awt.Font;
import javax.swing.SwingConstants;
import java.awt.Color;
import javax.swing.JTextField;
import javax.swing.JComboBox;
import javax.swing.JButton;
import java.awt.event.ActionListener;
import java.awt.event.ActionEvent;
import javax.swing.JTextArea;
import javax.swing.JSeparator;
import javax.swing.JScrollPane;
import javax.swing.ScrollPaneConstants;

public class VGestionProyectos extends JPanel {

	private static final long serialVersionUID = 1L;
	private JTextField codproy;
	private JTextField nombreproy;
	private JTextField ciudadproy;
	private JTextField presupuestoproy;
	private JTextArea textArea;
	private JComboBox comboZona = new JComboBox();	
	private OperacionesProyectos op = new OperacionesProyectos();
	private JLabel mensaje;
	JPanel jp = this;
  
	public VGestionProyectos() {
		setLayout(null);
		
		JLabel lblGestinDeProyectos = new JLabel("GESTI\u00D3N DE PROYECTOS, By Nombre de alumno.");
		lblGestinDeProyectos.setBackground(Color.ORANGE);
		lblGestinDeProyectos.setForeground(Color.BLUE);
		lblGestinDeProyectos.setHorizontalAlignment(SwingConstants.CENTER);
		lblGestinDeProyectos.setFont(new Font("Arial", Font.BOLD, 21));
		lblGestinDeProyectos.setBounds(21, 11, 638, 38);
		add(lblGestinDeProyectos);
		
		JLabel lblCdigoDeProyecto = new JLabel("C\u00F3digo de proyecto:");
		lblCdigoDeProyecto.setFont(new Font("Tahoma", Font.BOLD, 11));
		lblCdigoDeProyecto.setBounds(42, 60, 122, 19);
		add(lblCdigoDeProyecto);
		
		codproy = new JTextField();
		codproy.setHorizontalAlignment(SwingConstants.CENTER);
		codproy.setFont(new Font("Tahoma", Font.BOLD, 11));
		codproy.setBackground(Color.ORANGE);
		codproy.setBounds(172, 60, 86, 20);
		add(codproy);
		codproy.setColumns(10);
		
		JLabel labelNombre = new JLabel("Nombre del proyecto:");
		labelNombre.setFont(new Font("Tahoma", Font.BOLD, 11));
		labelNombre.setBounds(107, 103, 127, 19);
		add(labelNombre);
		
		JLabel labelCiudad = new JLabel("Ciudad del proyecto:");
		labelCiudad.setFont(new Font("Tahoma", Font.BOLD, 11));
		labelCiudad.setBounds(107, 132, 127, 19);
		add(labelCiudad);
		
		JLabel labelPresu = new JLabel("Presupuesto del proyecto:");
		labelPresu.setFont(new Font("Tahoma", Font.BOLD, 11));
		labelPresu.setBounds(107, 162, 170, 19);
		add(labelPresu);
		
		JLabel lblSeleccionaLaZona = new JLabel("Selecciona la zona:");
		lblSeleccionaLaZona.setFont(new Font("Tahoma", Font.BOLD, 11));
		lblSeleccionaLaZona.setBounds(107, 192, 127, 19);
		add(lblSeleccionaLaZona);
		
		nombreproy = new JTextField();
		nombreproy.setHorizontalAlignment(SwingConstants.CENTER);
		nombreproy.setFont(new Font("Tahoma", Font.BOLD, 11));
		nombreproy.setColumns(10);
		nombreproy.setBackground(Color.ORANGE);
		nombreproy.setBounds(237, 105, 268, 20);
		add(nombreproy);
		
		ciudadproy = new JTextField();
		ciudadproy.setHorizontalAlignment(SwingConstants.CENTER);
		ciudadproy.setFont(new Font("Tahoma", Font.BOLD, 11));
		ciudadproy.setColumns(10);
		ciudadproy.setBackground(Color.ORANGE);
		ciudadproy.setBounds(237, 131, 268, 20);
		add(ciudadproy);
		
		presupuestoproy = new JTextField();
		presupuestoproy.setHorizontalAlignment(SwingConstants.CENTER);
		presupuestoproy.setFont(new Font("Tahoma", Font.BOLD, 11));
		presupuestoproy.setColumns(10);
		presupuestoproy.setBackground(Color.ORANGE);
		presupuestoproy.setBounds(272, 161, 122, 20);
		add(presupuestoproy);
		
		comboZona.setBackground(Color.YELLOW);
		comboZona.setBounds(244, 192, 157, 20);
		add(comboZona);				
		op.cargarzonas(comboZona);
	
		JButton btnConsultar = new JButton("Consultar");
		btnConsultar.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent arg0) {
				op.consultarproyecto( codproy,  nombreproy,
						 ciudadproy,  presupuestoproy,
						 comboZona,  mensaje) ;
				
			}
		});
		btnConsultar.setFont(new Font("Tahoma", Font.BOLD, 11));
		btnConsultar.setBounds(268, 58, 89, 23);
		add(btnConsultar);
		
		JButton btnModificar = new JButton("Modificar");
		btnModificar.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent e) {
				op.modificarproyecto( codproy,  nombreproy,
						 ciudadproy,  presupuestoproy,
						 comboZona,  mensaje) ;
			}
		});
		btnModificar.setFont(new Font("Tahoma", Font.BOLD, 11));
		btnModificar.setBounds(393, 276, 89, 23);
		add(btnModificar);
		
		JButton btnBorrar = new JButton("Borrar");
		btnBorrar.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent e) {
				op.borrarproyecto( codproy,  nombreproy,
						 ciudadproy,  presupuestoproy,
						 comboZona,  mensaje, jp) ;
			}
		});
		btnBorrar.setFont(new Font("Tahoma", Font.BOLD, 11));
		btnBorrar.setBounds(280, 276, 89, 23);
		add(btnBorrar);
		
		JButton btnSiguiente = new JButton("Ver Siguiente");
		btnSiguiente.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent e) {
				op.siguiente( codproy,  nombreproy,
						 ciudadproy,  presupuestoproy,
						 comboZona,  mensaje) ;
			}
		});
		btnSiguiente.setFont(new Font("Tahoma", Font.BOLD, 11));
		btnSiguiente.setBounds(367, 58, 122, 23);
		add(btnSiguiente);
		
		JButton btnAnterior = new JButton("Ver Anterior");
		btnAnterior.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent e) {
				op.anterior( codproy,  nombreproy,
						 ciudadproy,  presupuestoproy,
						 comboZona,  mensaje) ;
			}
		});
		btnAnterior.setFont(new Font("Tahoma", Font.BOLD, 11));
		btnAnterior.setBounds(495, 58, 106, 23);
		add(btnAnterior);
		
		JButton btnInsertarRegistro = new JButton("Insertar Registro");
		btnInsertarRegistro.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent e) {
				op.insertarproyecto( codproy,  nombreproy,
						 ciudadproy,  presupuestoproy,
						 comboZona,  mensaje) ;
			}
		});
		btnInsertarRegistro.setFont(new Font("Tahoma", Font.BOLD, 11));
		btnInsertarRegistro.setBounds(42, 275, 136, 23);
		add(btnInsertarRegistro);
		
		JButton btnVisualizarTodos = new JButton("Visualizar Todos");
		btnVisualizarTodos.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent e) {
				
				op.listarproyectos(textArea);
			}
		});
		btnVisualizarTodos.setFont(new Font("Tahoma", Font.BOLD, 11));
		btnVisualizarTodos.setBounds(492, 276, 145, 23);
		add(btnVisualizarTodos);
		
		JButton btnLimpiar = new JButton("Limpiar");
		btnLimpiar.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent e) {
				codproy.setText("");
				nombreproy.setText("");
				ciudadproy.setText("");
				presupuestoproy.setText("");
				textArea.setText("");
				comboZona.setSelectedIndex(0); 
				mensaje.setText("");
			}
		});
		btnLimpiar.setFont(new Font("Tahoma", Font.BOLD, 11));
		btnLimpiar.setBounds(184, 276, 89, 23);
		add(btnLimpiar);
		
		JSeparator separator = new JSeparator();
		separator.setForeground(new Color(255, 182, 193));
		separator.setBackground(new Color(255, 182, 193));
		separator.setBounds(21, 90, 597, 10);
		add(separator);
		
		JSeparator separator_1 = new JSeparator();
		separator_1.setBackground(new Color(0, 0, 128));
		separator_1.setBounds(22, 222, 666, 2);
		add(separator_1);
		
		mensaje = new JLabel("-----------------------------------------------------------------------------------------------------");
		mensaje.setHorizontalAlignment(SwingConstants.CENTER);
		mensaje.setForeground(Color.RED);
		mensaje.setFont(new Font("Tahoma", Font.BOLD, 11));
		mensaje.setBackground(new Color(34, 139, 34));
		mensaje.setBounds(42, 235, 627, 29);
		add(mensaje);
		
		JSeparator separator_2 = new JSeparator();
		separator_2.setBackground(new Color(0, 0, 128));
		separator_2.setBounds(22, 262, 666, 2);
		add(separator_2);
		
		JScrollPane scrollPane = new JScrollPane();
		scrollPane.setHorizontalScrollBarPolicy(ScrollPaneConstants.HORIZONTAL_SCROLLBAR_ALWAYS);
		scrollPane.setBounds(10, 310, 699, 225);
		add(scrollPane);
		
		textArea = new JTextArea();
		textArea.setFont(new Font("Monospaced", Font.PLAIN, 13));
		textArea.setEditable(false);
		scrollPane.setViewportView(textArea);
		textArea.setBackground(new Color(204, 255, 153));
	}
}
