package operaciones;

import java.awt.TextArea;
import java.math.BigDecimal;
import java.util.Iterator;
import java.util.List;
import java.util.Set;

import javax.swing.*;

import  conexion.*;
import  datos.*;

import org.hibernate.JDBCException;
import org.hibernate.Query;
import org.hibernate.Session;
import org.hibernate.SessionFactory;
import org.hibernate.Transaction;

import java.math.BigDecimal;

public class OperacionesPiezas {
	SessionFactory sesion = conexionBD.getSessionFactory();		
    Session session = sesion.openSession();	
    Erroressql vererror=new Erroressql();
//////////////////////////////////////////////////////////////
	
public void borrarpieza(JTextField codpieza, JTextField nombrepieza, JTextField preciopieza,
			JTextField descripcionpieza, JTextField stock, JLabel mensaje, JPanel jp)
{	
    Piezas pi=new Piezas();
    pi=buscarpieza(codpieza);
	if (pi==null) {			
		System.out.println("PIEZA no existe: " + codpieza.getText().toString() );
		mensaje.setText("PIEZA : " + codpieza.getText().toString() + " NO EXISTE, no se puede borrar ");
	}
	else
	{  		
	 int confirm=JOptionPane.showConfirmDialog
	         (jp, "ESTAS SEGURO DE BORRAR ESTA PIEZA: " +codpieza.getText().toString() ,
	        		 "AVISO BORRADO.", 
		    	JOptionPane.OK_CANCEL_OPTION);	  
	   if (confirm==0)  
	   {  
	     try {
		
			Transaction tx =session.beginTransaction();
		    System.out.println("PIEZA LOCALIZADA: " + codpieza.getText().toString() );
			session.delete(pi);
			tx.commit();
			mensaje.setText("PIEZA : " + codpieza.getText().toString() + " BORRADA. ");
			nombrepieza.setText(" ") ;
			preciopieza.setText(" ");
			descripcionpieza.setText(" ");
			stock.setText(" ");codpieza.setText("");
			}catch (JDBCException j)
		 	{   vererror.erroresMySQL(j,mensaje); 	
		 	    session.close();
		        session = sesion.openSession();	}
		 }// fin si confirm
	} 
	
}	
	
///////////////////////////////////////////////////////////////////	
public void consultarpieza(JTextField codpieza, JTextField nombrepieza, JTextField preciopieza,
			JTextField descripcionpieza, JTextField stock, JLabel mensaje)
{
	
    Piezas pi=new Piezas();
    pi=buscarpieza(codpieza);
	if (pi==null) {			
		System.out.println("PIEZA no existe: " + codpieza.getText().toString() );
		mensaje.setText("PIEZA : " + codpieza.getText().toString() + " NO EXISTE ");
		nombrepieza.setText(" ") ;
		preciopieza.setText(" ");
		descripcionpieza.setText(" ");
		stock.setText(" ");
	}
	else
	{ 
		cargapiezapantalla(codpieza, nombrepieza, preciopieza,
				descripcionpieza, stock, pi);
		mensaje.setText("PIEZA : " + codpieza.getText().toString() + " LOCALIZADA ");
	}

}// consultar pieza	
/////////////////////////////////////////////////////////////////////////
public Piezas buscarpieza(JTextField codpieza)
	{
    Piezas pie=new Piezas();
	pie = (Piezas) session.get(Piezas.class, codpieza.getText().toString());	
    return pie;
	}
/////////////////////////////////////////////////////////////////////////
public void versiguientepieza(JTextField codpieza, JTextField nombrepieza, JTextField preciopieza,
			JTextField descripcionpieza, JTextField stock, JLabel mensaje)
{
Query consulta = session.createQuery("from Piezas order by codigo");

Iterator q = consulta.iterate();
boolean salir = true;
Piezas pi = new Piezas();
mensaje.setText("--------------------------------------------------------");
System.out.println(" --------------- " );
while (q.hasNext() && salir) {
    pi =  (Piezas) q.next();
	System.out.println(" pieza: " + pi.getCodigo());
	if  (codpieza.getText().length()==0 || buscarpieza(codpieza) == null ) 
	{    // carga el primero
		    cargapiezapantalla(codpieza, nombrepieza, preciopieza,
					descripcionpieza, stock, pi);
			salir=false;
	}
	else
	{
	if (pi.getCodigo().equalsIgnoreCase(codpieza.getText().toString()))
		{ // encontrada la pieza que está en la pantalla, cargo la siguiente
			if (q.hasNext()) 
			{   pi =  (Piezas) q.next();
			    cargapiezapantalla(codpieza, nombrepieza, preciopieza,
						descripcionpieza, stock, pi);
				salir=false;
			}
			
		}
	}
	
}// fin while

} //versiguientepieza

/////////////////////////////////////////////////////////////////////////
public void veranterior(JTextField codpieza, JTextField nombrepieza, JTextField preciopieza,
JTextField descripcionpieza, JTextField stock, JLabel mensaje)
{
	Query consulta = session.createQuery("from Piezas order by codigo desc");
	mensaje.setText("--------------------------------------------------------");
	List <Piezas> lista = consulta.list();

	if (lista.size()>0)
	{
	   Iterator q = lista.iterator();
     	boolean salir = true;
    	Piezas pi = new Piezas();
    	System.out.println(" --------------- " );

	while (q.hasNext() && salir) {
		pi =  (Piezas) q.next();
		System.out.println(" pieza: " + pi.getCodigo());
		if  (codpieza.getText().length()==0 || buscarpieza(codpieza) == null ) 
		{    // carga el primero
			cargapiezapantalla(codpieza, nombrepieza, preciopieza,
					descripcionpieza, stock, pi);
			salir=false;
		
		}
		else{
			if (pi.getCodigo().equalsIgnoreCase(codpieza.getText().toString()))
			{ // encontrada la pieza que está en la pantalla, cargo la siguiente
				if (q.hasNext()) 
				{
				pi =  (Piezas) q.next();
				cargapiezapantalla(codpieza, nombrepieza, preciopieza,
						descripcionpieza, stock, pi);
				salir=false;
				}
			}
		}
	
	}
	} // if lista.size
}
/////////////////////////////////////////////////////////////////////////

private void cargapiezapantalla(JTextField codpieza, JTextField nombrepieza,
		JTextField preciopieza, JTextField descripcionpieza, JTextField stock,
		Piezas pi) {
	codpieza.setText(pi.getCodigo());
	nombrepieza.setText(pi.getNombre()) ;
	preciopieza.setText(pi.getPrecio().toString());
	descripcionpieza.setText(pi.getDescripcion());
	stock.setText(pi.getStock().toString());
}

public void listarpiezas( JTextArea ta) {

	ta.setText("");
	Query consulta = session.createQuery("from Piezas order by codigo");
	
	ta.append("............................. DATOS DE PIEZAS ..........................................\n");
	ta.append(String.format("%1$-8s", "CODIGO")
			+ String.format("%1$-25s", "NOMBRE")
			+ String.format("%1$-10s", "PRECIO")
			+ String.format("%1$-10s", "STOCK")
			+ String.format("%1$-11s", "DESCRIPCION")
			);
	
	ta.append("\n-----------------------------------------------------------------------"
			+ "------------------------------------\n");
	
	Iterator q = consulta.iterate();
	Piezas pi = new Piezas();
	while (q.hasNext()) {
		pi =  (Piezas) q.next();
		ta.append(String.format("%1$-8s", pi.getCodigo())
				+ String.format("%1$-25s", pi.getNombre())
				+ String.format("%1$-10s", pi.getPrecio()) 
				+ String.format("%1$-10s", pi.getStock()) 
				+ String.format("%1$-30s", pi.getDescripcion()) 
				+ "\n");
	
	}
	ta.append("-----------------------------------------------------------------------"
			+ "------------------------------------\n");
} // fin listar piezas
/////////////////////////////////////////////////////////////////////////
public void insertarpieza(JTextField codpieza, JTextField nombrepieza,
		JTextField preciopieza, JTextField descripcionpieza, JTextField stock,
		JLabel mensaje) {

Piezas pi=new Piezas();
pi=buscarpieza(codpieza);
if (pi==null) {			
	System.out.println("PIEZA no existe: " + codpieza.getText().toString() );	
	
	String codigo=codpieza.getText().toString();
	if (codigo.length()>0)
	{
		String nombre=nombrepieza.getText().toString();
		String desc=descripcionpieza.getText().toString();
		int nograba=0;	int sto=0 ;
		String mensaje2="";
		BigDecimal pvv = BigDecimal.valueOf(0);;
		try {
		  float pv = Float.parseFloat(preciopieza.getText().toString());
		  pvv =BigDecimal.valueOf(pv);	  
	    }catch (NumberFormatException e) {
		   mensaje2="Precio erróneo, debe ser numérico";
		   nograba=1;}
		try {
			  sto = Integer.parseInt(stock.getText().toString());
		 }catch (NumberFormatException e) {
			mensaje2= mensaje2.concat(". Stock erróneo, debe ser numérico");
			nograba=1;}
		
		if  (nograba==0)
		{	
		
			pi=new Piezas(); // pieza nueva
			pi.setCodigo(codigo);	
			pi.setDescripcion(desc);
			pi.setNombre(nombre);
			pi.setPrecio(pvv);
			pi.setStock(sto);
		try {
			Transaction tx =session.beginTransaction();
			session.save(pi);
			tx.commit();
			mensaje.setText("PIEZA : " + codigo + " INSERTADA ");
		 }catch (JDBCException j)
		  {   vererror.erroresMySQL(j,mensaje);	
		      session.close();
		      session = sesion.openSession();	
		   }
	
	    }
	      else mensaje.setText(mensaje2);
	}
	else
		mensaje.setText("LA PIEZA NO PUEDE TENER CÓDIGO VACÍO. ");
} // pi no es null
else 
	mensaje.setText(" COD PIEZA YA EXISTE.");
		
}// fin insertarpieza
/////////////////////////////////////////////////////////////////////////

public void modificarpieza(JTextField codpieza, JTextField nombrepieza,
		JTextField preciopieza, JTextField descripcionpieza, JTextField stock,
		JLabel mensaje) {

	Piezas pi=new Piezas();
	pi = (Piezas) session.get(Piezas.class, codpieza.getText().toString());	
	if (pi==null) 		
		mensaje.setText("COD PIEZA A MODIFICAR: "+codpieza.getText().toString() +" NO EXISTE.");
	else
	{
		String codigo=codpieza.getText().toString();
		String nombre=nombrepieza.getText().toString();
		String desc=descripcionpieza.getText().toString();
		int nograba=0;
		int sto=0 ;
		String mensaje2="";
		BigDecimal pvv = BigDecimal.valueOf(0);;
		try {
		  float pv = Float.parseFloat(preciopieza.getText().toString());
		  pvv =BigDecimal.valueOf(pv);	  
	    }catch (NumberFormatException e) {
		   mensaje2="Precio erróneo, debe ser numérico";
		   nograba=1;}
		try {
			  sto = Integer.parseInt(stock.getText().toString());
		 }catch (NumberFormatException e) {
			mensaje2= mensaje2.concat(". Stock erróneo, debe ser numérico");
			nograba=1;}
		if  (nograba==0)
		{  
		try{	
			pi.setCodigo(codigo);	
			pi.setDescripcion(desc);
			pi.setNombre(nombre);
			pi.setPrecio(pvv);
			pi.setStock(sto);
			Transaction tx =session.beginTransaction();
			session.update(pi);
			tx.commit();
			mensaje.setText("PIEZA : " + codigo + " MODIFICADA. ");
		  }catch (JDBCException j)
     	  {   vererror.erroresMySQL(j,mensaje);
     	      session.close();
 	          session = sesion.openSession();	
     	   }
		}
		else mensaje.setText(mensaje2);
	} // pi no es null
	
}// fin modificarpieza
/////////////////////////////////////////////////////////////////////////

public void cargarcombo(JComboBox comboPieza, JTextField nombrepieza) {
	Query consulta = session.createQuery("from Piezas");	
	List <Piezas> q = consulta.list();
	Piezas pi = new Piezas();
    for (int i=0;i<q.size();i++)
	 {  
		pi =  (Piezas) q.get(i);
		comboPieza.addItem(pi.getCodigo());
		if (i==0) nombrepieza.setText(pi.getNombre());
	}
    comboPieza.setSelectedIndex(0);
    
}
/////////////////////////////////////////////////////////////////////////

public Piezas cargapieza( String codigo) {
	Piezas prov = new Piezas();	
	prov = (Piezas) session.get(Piezas.class, codigo); 
	return prov;

}
/////////////////////////////////////////////////////////////////////////
public void visualizarestadisticaglobal(TextArea textArea, JComboBox comboPieza) {
	textArea.setText("");
	textArea.append("\n--------------------------------------------------------------------------\n");
	textArea.append("--------------------------- ESTADÍSTICAS DE PIEZAS -----------------------\n");
	// Pieza más cara
	Query consulta = session.createQuery("from Piezas p where p.precio  = (select max(pp.precio) from Piezas pp) ");	
	List <Piezas> q = consulta.list();
	Piezas pi = new Piezas();
	textArea.append("\n Pieza o piezas más caras: ");
	for (int i=0;i<q.size();i++)
	 {  
		pi =  (Piezas) q.get(i);
		textArea.append("\n\t Código: " + pi.getCodigo() + 
				", nombre: " +pi.getNombre() +
				", precio: " +pi.getPrecio());
	}
  
 /* Consulta que devuelve la pieza, el número de proveedores que la distribuyen, 
  * el número de proyectos que la compran, 
  * la suma de unidades compradas y el importe 
	select p, count(distinct g.proveedores.codigo),  
      count(distinct g.proyectos.codigo) , coalesce(sum(g.cantidad),0),
      p.precio*coalesce(sum(g.cantidad),0) 
    from Piezas p left JOIN p.gestions g 
    group by p.codigo, p.precio */

 consulta = session.createQuery("select p, count(distinct g.proveedores.codigo), "+
	 " count(distinct g.proyectos.codigo) , coalesce(sum(g.cantidad),0), " +
	 " p.precio*coalesce(sum(g.cantidad),0) " +
     " from Piezas p left JOIN p.gestions g  " +
     " group by p.codigo, p.precio " );	
 
 List<Object[]> filas = consulta.list(); 
 // recorremos la lista y nos quedamos con los máximos
 long maxiprove=0;
 long maxiproyec=0;
 long maxsuma=0;
 float maximporte=0;
 
 for (int i = 0; i < filas.size(); i++)
 {
	 Object[] filaActual = filas.get(i);
	 if (maxiprove<(Long)filaActual[1]) maxiprove=(Long) filaActual[1];
	 if (maxiproyec<(Long)filaActual[2]) maxiproyec=(Long) filaActual[2];
	 if (maxsuma<(Long)filaActual[3]) maxsuma=(Long) filaActual[3];
	 BigDecimal imp = (BigDecimal) filaActual[4];
	 if (maximporte<imp.floatValue()) maximporte=imp.floatValue();
 }
 	
//Pieza que se ha suministrado a más proveedores
 consulta = session.createQuery("select p, count(distinct g.proveedores.codigo) "+
	" from Piezas p left JOIN p.gestions g  " +
	" group by p.codigo having count(distinct g.proveedores.codigo)= " + maxiprove );	
 List<Object[]> maxiprovess = consulta.list(); 
 textArea.append("\n\n Pieza o piezas que se han suministrado a más proveedores (max = "+maxiprove  +"):");
 for (int i = 0; i < maxiprovess.size(); i++)
 {
	 Object[] filaActual = maxiprovess.get(i);
	 Piezas pie = (Piezas) filaActual[0];
	 textArea.append("\n\t Código: " + pie.getCodigo() +
				", nombre: " +pie.getNombre() +
				", máximo num de proveedores: " +filaActual[1]);
 }	 

//Pieza que se ha suministrado a más proyectos
 consulta = session.createQuery("select p, count(distinct g.proyectos.codigo) "+
	" from Piezas p left JOIN p.gestions g  " +
	" group by p.codigo having count(distinct g.proyectos.codigo)= " + maxiproyec );	
 List<Object[]> maxiproyecc = consulta.list(); 
 textArea.append("\n\n Pieza o piezas que se han suministrado a más proyectos (max = "+maxiproyec  +"):");
 for (int i = 0; i < maxiproyecc.size(); i++)
 {
	 Object[] filaActual = maxiproyecc.get(i);
	 Piezas pie = (Piezas) filaActual[0];
	 textArea.append("\n\t Código: " + pie.getCodigo() +
				", nombre: " +pie.getNombre() +
				", máximo num de proyectos: " +filaActual[1]);
 }	 

//Pieza con más suma de unidades acumulada
 consulta = session.createQuery("select p, coalesce(sum(g.cantidad),0)"+
	" from Piezas p left JOIN p.gestions g  " +
	" group by p.codigo having sum(g.cantidad)= " + maxsuma );	
 List<Object[]> maxisum = consulta.list(); 
 textArea.append("\n\n Pieza o piezas más suministrada (max = "+maxsuma  +"):");
 for (int i = 0; i < maxisum.size(); i++)
 {
	 Object[] filaActual = maxisum.get(i);
	 Piezas pie = (Piezas) filaActual[0];
	 textArea.append("\n\t Código: " + pie.getCodigo() +
				", nombre: " +pie.getNombre() +
				", suma: " +filaActual[1]);
 }	 
 
//Pieza con más importe acumulado	
 consulta = session.createQuery("select p, p.precio*coalesce(sum(g.cantidad),0) "+
	" from Piezas p left JOIN p.gestions g  " +
	" group by p.codigo,p.precio "
	+ " having  p.precio*coalesce(sum(g.cantidad),0)= " + maximporte );	
 List<Object[]> maximp = consulta.list(); 
 textArea.append("\n\n Pieza o piezas con mayor suma de importe acumulado (max = "+maximporte  +"):");
 for (int i = 0; i < maximp.size(); i++)
 {
	 Object[] filaActual = maximp.get(i);
	 Piezas pie = (Piezas) filaActual[0];
	 textArea.append("\n\t Código: " + pie.getCodigo() +
				", nombre: " +pie.getNombre() +
				", suma: " +filaActual[1]);
 }	 
		 	
//Pieza o piezas que no se ha suministrado nunca, prov 0
 consulta = session.createQuery("select p, count(distinct g.proveedores.codigo) "+
	" from Piezas p left JOIN p.gestions g  " +
	" group by p.codigo having  count(distinct g.proveedores.codigo) = 0 " );	
 List<Object[]> cero = consulta.list(); 
 textArea.append("\n\n Pieza o piezas que no se han suministrado nunca: ");
 for (int i = 0; i < cero.size(); i++)
 {
	 Object[] filaActual = cero.get(i);
	 Piezas pie = (Piezas) filaActual[0];
	 textArea.append("\n\t Código: " + pie.getCodigo() +
				", nombre: " +pie.getNombre() );
 }	 
 textArea.append("\n\n");			 	 	
}//visualizarestadisticaglobal
/////////////////////////////////////////////////////////////////////
public void visualizardetallepieza(TextArea textArea, JComboBox comboPieza) {
	textArea.setText("");
	textArea.append("\n\t\t                  DETALLES DE LA PIEZA ");
  	
	textArea.append("\n\t\t--------------------------------------------------------------------------");
  	// Pieza más cara
	Piezas pie = (Piezas) session.createQuery("from Piezas p where p.codigo  = '"+
	                comboPieza.getSelectedItem().toString()+ "'").uniqueResult();	
	textArea.append("\n\t\t Nombre: " + pie.getNombre() + ", Descripcion : " + pie.getDescripcion());
	textArea.append("\n\t\t Precio: " + pie.getPrecio() + ", Stock : " + pie.getStock());
	textArea.append("\n\t\t--------------------------------------------------------------------------\n");
	
			
	Set<Gestion> gest = pie.getGestions();
	textArea.append("\n\t"+String.format("%1$-9s", "COD PROV")	+ String.format("%1$-25s", "NOMBRE PROV")
			+ String.format("%1$-9s", "COD PROY")	+ String.format("%1$-25s", "NOMBRE PROYEC")
			+ String.format("%1$13s", "CANTIDAD")
			+ String.format("%1$12s", "IMPORTE")		
			);
	textArea.append("\n\t----------------------------------------------------------------------------------------------\n");
	
	Iterator <Gestion> itge = gest.iterator();
	Gestion ges = new Gestion();
	Float totimpor =(float) 0;
	int totcant=0;
	while(itge.hasNext()) {
		ges=itge.next();
		Float impor = ges.getPiezas().getPrecio().floatValue() * ges.getCantidad();
		textArea.append("\n\t"+String.format("%1$-9s", ges.getProveedores().getCodigo())
				+ String.format("%1$-25s", ges.getProveedores().getNombre().concat(ges.getProveedores().getApellidos()))
				+ String.format("%1$-9s", ges.getProyectos().getCodigo())	
				+ String.format("%1$-25s",ges.getProyectos().getNombre())
				+ String.format("%1$13s", ges.getCantidad())
				+ String.format("%1$12s", impor)		
				);
		totimpor = totimpor + impor;
		totcant = totcant+ges.getCantidad();
		
	 }
	textArea.append("\n\t----------------------------------------------------------------------------------------------\n");
	textArea.append("\n\t"+String.format("%1$-68s", "TOTALES POR PIEZA >>>>>>")
			+ String.format("%1$13s", totcant)
			+ String.format("%1$12s", totimpor)		
			);
	 textArea.append("\n\n");
}//visualizardetallepieza
////////////////////////////////////////////////////////////
public void listarpiezastotales( TextArea textArea) {

	textArea.setText("");
	Query consulta = session.createQuery("from Piezas order by codigo");
	
	textArea.append("\n------------------------------- DATOS DE PIEZAS --------------------------"
			+ "-------------------------------------------------------------------------------\n\n");
	textArea.append(String.format("%1$-8s", "CODIGO")	+ String.format("%1$-25s", "NOMBRE")
			+ String.format("%1$-10s", "PRECIO")+ String.format("%1$-10s", "STOCK")
			+ String.format("%1$-48s", "DESCRIPCION") 
			+ String.format("%1$-11s", "NUM PROVE") 
			+ String.format("%1$-12s", "NUM PROYEC")
			+ String.format("%1$13s", "SUMA CANTIDAD")
			+ String.format("%1$12s", "IMPORTE")		
			);
	textArea.append("\n-----------------------------------------------------------------------"
			+ "----------------------------------------------------------------------------------\n");	
	Iterator q = consulta.iterate();
	Piezas pi = new Piezas();
	while (q.hasNext()) {
		pi =  (Piezas) q.next();
		Object []contas =  (Object[]) session.createQuery(
	   		    "select count(distinct g.proveedores.codigo),  "
             + " count(distinct g.proyectos.codigo) , coalesce(sum(g.cantidad),0),"
             + " p.precio*coalesce(sum(g.cantidad),0) from Piezas p JOIN p.gestions g " 
	   		 + " where p.codigo = '" +  pi.getCodigo() + "'").uniqueResult();
		Long cont1 = (Long) contas[0];
		Long cont2 = (Long) contas[1];
		Long suma = (Long) contas[2];
		String descripcion="";
		descripcion=pi.getDescripcion();
		if (pi.getDescripcion().length()>40)
			descripcion=pi.getDescripcion().substring(1,40) ;
		java.math.BigDecimal importe =  (BigDecimal) contas[3];
		textArea.append(String.format("%1$-8s", pi.getCodigo())
				+ String.format("%1$-25s", pi.getNombre())
				+ String.format("%1$-10s", pi.getPrecio()) 
				+ String.format("%1$-10s", pi.getStock()) 
				+ String.format("%1$-45s", descripcion)
				+ String.format("%1$11s", cont1) 
				+ String.format("%1$11s", cont2) 
				+ String.format("%1$13s", suma) 
				+ String.format("%1$16s", importe) 
				+ "\n");
	}
	textArea.append("\n-----------------------------------------------------------------------"
			+ "----------------------------------------------------------------------------------\n");	
	
} // fin listar piezas
// 
public void cargadatopiezacombo( JComboBox comboPiezas, JTextField nombrepieza) {
   Piezas pie = new Piezas();	
   pie = (Piezas) session.get(Piezas.class, comboPiezas.getSelectedItem().toString()); 
   nombrepieza.setText(pie.getNombre());
}
}// fin clase
